%define url_ver %(echo %{version}|cut -d. -f1,2)
%define name   mate-file-archiver
%define oname    engrampa

%define subrel 1

Name:          %{name}
Version:       1.6.1
Release:       %mkrel 1
Summary:       An archive manager for MATE Desktop
Group:         Archiving/Compression
License:       GPLv2+ and LGPLv2+
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# Fixes "can't open .rpms with engrampa" issue (mga#12676)
Patch0:        mate-file-archiver-1.6.1-fix-external-tool-locations.patch
BuildRequires: intltool
BuildRequires: chrpath
BuildRequires: mate-common
BuildRequires: xsltproc
BuildRequires: magic-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libcaja-extension)
BuildRequires: pkgconfig(sm)

Suggests:      cdrecord-isotools
# for the gsettings schema
Requires:      mate-file-manager
Provides:      %{oname} = %{version}-%{release}
Obsoletes:     %{oname} =< %{version}-%{release}

%description
Engrampa (Mate file archiver tool) is an archive manager
for the MATE environment. This means that you can :
create and modify archives; view the content of an archive;
view a file contained in the archive; extract files from the archive.
Engrampa is only a front-end (a graphical interface)
to archiving programs like tar and zip.
The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
          * lzma (.tar.lzma , .tlz)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress,
    lzop, lzma
    * ISO images


%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x                \
   --disable-scrollkeeper  \
   --disable-static        \
   --with-gtk=2.0          \
   --enable-packagekit \
   --enable-caja-actions

%make

%install
%makeinstall_std

%find_lang %{oname} --with-gnome --all-name

for omf in %{buildroot}%{_datadir}/omf/*/*[_-]??.omf;do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed s!%{buildroot}!!)" >> %{oname}.lang
done

find %{buildroot} -name *.la -delete

#gw rpmlint errors
chrpath -d %{buildroot}%{_bindir}/%oname
chrpath -d %{buildroot}%{_libdir}/caja/*/*.so

%files -f %{oname}.lang
%doc README COPYING NEWS AUTHORS
%{_bindir}/%{oname}
%{_libexecdir}/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/mate/help/%{oname}
%{_datadir}/applications/%{oname}.desktop
%dir %{_datadir}/omf/%{oname}
%{_datadir}/omf/%oname/%{oname}-C.omf
%{_datadir}/MateConf/gsettings/%{oname}.convert
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/mate-file-archiver/icons/hicolor/*/actions/*.png
%{_libdir}/caja/extensions-2.0/libcaja-%{oname}.so


%changelog
* Sun Feb 09 2014 wally <wally> 1.6.1-1.1.mga4
+ Revision: 586983
- add patch to fix 'can't open .rpms with engrampa issue' (mga#12676)

* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 582648
- Update to bugfix version: 1.6.1
  * Add support for application/x-archive in desktop file
  * Move keys to the correct schema
  * update remaining file-roller->engrampa name change
  * Follow configure for DEPRECATED cflags
  * add support for rar-5.0x
  * engrampa does not build without packagekit
  * fixed error when creating zip archives
  * zip: fixed -- position for the extraction command
- Drop mate-file-archiver-1.6.0-add-rar5x-support.patch

* Mon Nov 25 2013 tarakbumba <tarakbumba> 1.6.0-3.mga4
+ Revision: 553504
- Add rar-5.x support from upstream

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531056
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461785
- fix conf generation

  + tarakbumba <tarakbumba>
    - imported package mate-file-archiver

